dnl----------------------------------------------------------------------
dnl
dnl AC_CHECK_GLUT([action if found], [action if not found])
dnl
AC_DEFUN([AC_CHECK_GLUT], [
    AC_REQUIRE([AC_CHECK_OPENGL])
    AC_REQUIRE([AC_PATH_XTRA])

    AC_ARG_WITH(glut,
	AC_HELP_STRING([--with-glut], [prefix where glut is installed]),
	[ac_glut_prefix=$withval],
	[ac_glut_prefix=/usr])
    AC_ARG_WITH(glut-exec,
	AC_HELP_STRING([--with-glut-exec], [exec-prefix where glut is installed]),
	[ac_glut_prefix_exec=$withval],
	[ac_glut_prefix_exec=$ac_glut_prefix])

    # Check for the presence of cv.h and libopencv.so
    glut_sv_cppflags=$CPPFLAGS
    glut_sv_libs=$LIBS

    if test "$ac_glut_prefix" != "/usr"; then
	GLUT_CFLAGS="-I$ac_glut_prefix/include"
    fi
    CPPFLAGS="$GLUT_CFLAGS $CPPFLAGS"
    AC_CHECK_HEADER([GL/glut.h], [], 
	    [AC_MSG_ERROR([Cannot find glut headers, please use --with-glut])]
	    )
    
    GLUT_LDFLAGS=""
    GLUT_LIBS_EXTERNAL="$OPENGL_LDFLAGS -lGL -lGLU $X_LIBS -lX11 -lXi -lXmu"
    if test "$ac_glut_prefix_exec" != "/usr"; then
	GLUT_LDFLAGS="-L$ac_glut_prefix_exec/lib"
    fi
    LIBS="$GLUT_LDFLAGS -lglut $GLUT_LIBS_EXTERNAL $glut_sv_libs"

    AC_MSG_CHECKING([for glut library])
    AC_LINK_IFELSE([AC_LANG_CALL([], [glutInit])],
	[ac_glut_found=yes],
	[ac_glut_found=no])

    dnl No libglut in prefix/lib. Try prefix/lib/glut
    if test "$ac_glut_found" = "yes"; then
	AC_MSG_RESULT([$ac_glut_prefix_exec/lib])
    else
	GLUT_LDFLAGS="-L$ac_glut_prefix_exec/lib/glut"
	LIBS="$GLUT_LDFLAGS -lglut $GLUT_LIBS_EXTERNAL $glut_sv_libs"

	AC_LINK_IFELSE([AC_LANG_CALL([], [glutInit])],
	    [ac_glut_found=yes],
	    [ac_glut_found=no])
	if test "$ac_glut_found" = "no"; then
	    AC_MSG_ERROR([The glut library is neither in $ac_glut_prefix_exec/lib nor in $ac_glut_prefix_exec/lib/glut. Please use --with-glut or --with-glut-exec])
	else
	    AC_MSG_RESULT([$ac_glut_prefix_exec/lib/glut])
	fi
    fi


    CPPFLAGS=$glut_sv_cppflags
    LIBS=$glut_sv_libs

    GLUT_LIBS="$GLUT_LDFLAGS -lglut $GLUT_LIBS_EXTERNAL"
    AC_SUBST(GLUT_CFLAGS)
    AC_SUBST(GLUT_LIBS)
])

