dnl----------------------------------------------------------------------
dnl
dnl OpenGL
dnl
AC_DEFUN([AC_CHECK_OPENGL], [
    AC_ARG_WITH(opengl,
	[  --with-opengl=DIR       directory containing OpenGL],
	[ogl_prefix=$withval],
	[ogl_prefix=${prefix}])

    AC_MSG_CHECKING([for OpenGL headers])
    test -z "$ogl_test_include" && ogl_test_include=GL/gl.h
    for ac_dir in \
	    $ogl_prefix/include			\
	    /usr/include 				\
	    $x_includes 				\
	    /usr/openwin/include			\
	    /usr/X11R6/include			\
	    /usr/local/include 			\
	    $extra_include 				\
	    ; \
      do
      if test -r "$ac_dir/$ogl_test_include"; then
	ac_ogl_includes=$ac_dir
	break
      fi
    done
    if test "x$ac_ogl_includes" != "x"; then
      AC_MSG_RESULT($ac_ogl_includes)
    else
      AC_MSG_RESULT([Not found (fatal)])
      exit 2;
    fi
    AC_MSG_CHECKING([for OpenGL libraries])
    test -z "$ogl_test_lib" && ogl_test_lib=GL
    for ac_dir in \
	    $ogl_prefix/lib		\
	    /usr/${usrlibdir}	\
	    $x_libraries		\
	    /usr/X11R6/${usrlibdir}	\
	    /usr/openwin/lib	\
	    /usr/local/${usrlibdir}	\
	    $extra_lib		\
	    ; \
      do
      for ac_extension in a so; do
	if test -r $ac_dir/lib${ogl_test_lib}.${ac_extension}; then
	  ac_ogl_lib=$ac_dir
	  break 2
	fi
      done
    done
    if test "x$ac_ogl_lib" != "x"; then
      AC_MSG_RESULT($ac_ogl_lib)
    else
      AC_MSG_RESULT([Not found (fatal)])
      exit 2;
    fi
    if test "$ac_ogl_includes" != "/usr/include"; then
      OPENGL_CFLAGS=-I$ac_ogl_includes
    else
      OPENGL_CFLAGS=""
    fi
    AC_SUBST(OPENGL_CFLAGS)
    if test "$ac_ogl_lib" != "/usr/${usrlibdir}"; then
      OPENGL_LDFLAGS=-L$ac_ogl_lib
    else
      OPENGL_LDFLAGS=""
    fi
    AC_SUBST(OPENGL_LDFLAGS)
])

